Maintenance Schedules
The maintenance schedules resource.
Basehttps://rest.carbon.ms/maintenanceSchedules
GET
/maintenanceSchedulesList maintenance scheduless
Retrieve a paginated list of maintenance scheduless. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/maintenanceSchedules
curl --request GET \
--url 'https://rest.carbon.ms/maintenanceSchedules?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"name": "Example",
"description": "string",
"workCenterId": "xyz789",
"frequency": "string",
"priority": "string",
"estimatedDuration": 0,
"active": true
}
]GET
/maintenanceSchedulesRetrieve a maintenance schedules
Fetch a single maintenance schedules by filtering on `id`.
Query parameters
idstringMatch on the maintenance schedules's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/maintenanceSchedules
curl --request GET \
--url 'https://rest.carbon.ms/maintenanceSchedules?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"name": "Example",
"description": "string",
"workCenterId": "xyz789",
"frequency": "string",
"priority": "string",
"estimatedDuration": 0,
"active": true
}